LINUX.ORG.RU

Избранные сообщения init_6

Android, зонды, безопасность, СПО, паранойя

Форум — Mobile

Disclaimer1: Проблема с данным маном в том, что местной аудитории, например, плевать на ведроид, а тому же 4pda наплевать на фанатичный СПО и избавление от зондов. Рискнем и запостим здесь.

Disclaimer2: Все описанное является суммой наклопленного мной опыта вперемешку с моим личным мнением. Пишите комменты, будем улучшать-дополнять-чинить

Уровень прошивки

Практически все стоковые прошивки на сегодняшний день идут с gapps (Google Apps). Что же это за зверь:

  • Любое приложение (даже не требуещее никаких прав) может с ним общаться.
  • Gapps имеют доступ к сети.
  • Gapps позволяют Google в любой момент установить/удалить с вашего телефона любое приложение.
  • Gapps постоянно держат открытое сетевое соединение с серверами гугла (для нужд push-нотификаций).
  • Gapps — нереальное огромное количество кода. Стоковый образ (если верить opengapps) будет весить около 700Мб.

ААААА, как это удолить этот рассадник потенциальных уязвимостей и жора батарейки?

Сложный вопрос, на самом деле. Есть три варианта действий:

  • Новый и простой, и профитный способ. Появилась прошивка «LingeageOS for microG». Если ваше устройство поддерживает её, просто ставьте её и наслаждайтесь. Fdroid+MicroG+пуши+signature spoofing+unlp+OTA-обновления из коробки
  • Самый простой способ. Если ваш андроид достаточно старый (на достаточно новом не удастся отключить самый главный компонент gapps), из Настройки->Приложения отключите все, связанное с Google (особенно, Google Service Frameworks):
    • root не требуется;
    • push-уведомления работать не будут;
    • на устройстве останется огромная и потенциальная куча гугловского дерьма, хоть и менее активная.
  • Способ посложнее. Накатываем root и вручную удаляем все пакеты и библиотеки, требуемые гуглу:
    • требуется root и разблокировка загрузчика;
    • минимальное количество зондов без смены прошивку на полностью опенсорсную;
    • увы, в последних версиях андроида вам, скорее всего, придется оставить несколько пакетов (вроде GoogleSetupWizard), иначе система не загрузится.
  • Самый профитный способ. Ставим альтернативную прошивку (или мотаем до следующей секции и покупаем устройство с пгавославной прошивкой без зондов из коробки). Наслаждаемся.
    • Требуется root, разблокировка загрузчика, шаманство и местами смена устройства.

Я тут начал наслаждаться, но вдруг понадобились пуши, да и Uber требует зонды. Что делать?

Вдоль

Попробовать поставить MicroG, свободную реализацию клиентской части гуглозондов. Самая больная часть: помимо собственно MicroG вам нужно будет запилить себе Signature Spoofing. Коротко говоря, это обход защитного механизма, не позволяющего прикидываться gapps'ами кому попало. Для этого необходимо либо патчить прошивку при помощи Xposed/Needle/Haystack, либо использовать совместимую прошивку (смотрите список, по ссылке, их стало очень много). Все подробности по той ссылке.

MicroG позволяет завести пуши, сервисы геолокации (со множеством бекендов, ищите nlp location backend в f-droid) и большое количество софта (когда я в последний раз тыкал, работали даже покемоны).

Уровень софта

Без гуглозондов жить есть!

https://f-droid.org/ — каталог с опенсорсным софтом.

Предлагаю вам следующий список приложений, способный заменить типичный набор проприетари из типичной вендорской прошивки. Аналогичный список: https://github.com/Datenschutz/awesome-FOSS-apps

  • Yalp store. Позволяет ставить приложения из Google Play (да, иногда это все-таки нужно), в том числе через общий аккаунт. Не требует зондов.
    • Позволяет так же выкачивать купленные приложения (но не факт, что они заработают: они при работе могут проверять лиценизию через gapps, возможно, тут может помочь microg).
    • Альтернативно, воспользуйтесь моим решением для выкачивания софта прямо в свой репозиторий f-droid.
  • K-9 Mail. Почтовый клиент.
  • DAVDroid. Синхронизация контактов с owncloud/nextcloud.
  • Gadgetbridge. Синхронизация с умными часами и браслетами (pebble, mi band и некоторые другие)
  • NewPipe. Клиент для YouTube. Умеет воспроизводить видео в фоновом режиме как музыку, загружать файлы.
  • Odyssey. Просто материальный музыкальный плеер, но в последнее время очень нужный, т.к. вендоры повадились заменять в прошивке плеер на Google Music.
  • Набор простых и красивых затычек для различных приложений — simple mobile tools.
  • Файрволл AFWall+ файрволл (имеет Xposed модуль для расширения возможностей)
  • Amplify Battery Extender.
  • DNS66.
  • KDE Connect.
  • OpenKeychain.
  • OpenVPN FOSS.
  • Картография и навигация: Maps.Me (приз симпатий от комментаторов), OsmAnd (приз глюкалова от меня, но щито поделать).
  • Список стал очень жирным. Пока новые элементы не добавляю, думаю над критериями включения в него софта.

Если вы будете ставить проприетарный софт, помните о следующем:

  • Желательно зайти в настройки приложения и вручную запретить доступ ко всем ненужным разрешениям, дабы не промахнуться в нужный момент.
  • Отключите приложению фоновый доступ к сети (если у вас свежий Android) или вообще доступ к сети (если у вас стоит файрволл).
  • Малвари вроде «Сбербанк Онлайн» вообще лучше создать отдельный аккаунт на телефоне.
  • Яндексовским приложениям нельзя давать доступ к местоположению. Вообще никаким — все сливают.
  • Проприетарь может читать названия аккаунтов, даже не принадлежащих ей. Называйте их максимально обще, т.е. вместо «sportloto@syncserver.com» делайте «contacts sync».

Права суперпользователя

Читая васянский 4pda вы часто можете увидеть «ну и накатываем SuperSU.zip». Не делайте этого. Есть прекрасный опенсорсный superuser, совместимый со свежими ведроидами. Нужно лишь поставить zip (используйте beta на android >=6) и apk.

Если ваша прошивка основана на LineageOS, то все еще проще. Где-то рядом с загрузками в директории extra должен валяться zip, включающий встроенные и интегрированные в прошивку права суперпользователя. Профит.

XPosed

XPosed — опенсорсный фреймворк для низкоуровневых хаков.

  • Не доступен для свежих андроидов.
  • Позволяет заставить не увидеть root всякие «Сбербанки Онлайн».
  • Имеет кучу некрофильских и неопенсорсных модулей. Осторожнее.
  • Легким движением руки может окирпичить прошивку.
  • Полезные модули:
    • PlayPermissionsExposed
    • YouTubeAdAway (но все-таки советую использовать NewPipe, LightTube, WebTube, SkyTube или MiniTube. Тысячи их!)
    • XPrivacy — по своей сути это «песочница» для любого, даже системного, ПО. Xprivacy применяет правила ко всему ПО. Эти правила можно создавать самому или качать готовые. То есть, к примеру, если установлено нечто местами полезное, но попутно показывающее свою рекламу, Xprivacy можно просто запретить этому ПО доступ в сеть. Или если очередная косынка хочет интернет, список контактов, доступ к микрофону и камере, то с Xprivacy это легко и просто запрещается конкретно этой гадости и она даже будет при этом работать не имея доступа к тому, что ей будет запрещено.

Уровень устройства

Тут тоже всё плохо. Выбор:

  • Рандомный флагман с хорошей поддержкой LineageOS (CyanogenMod). Поддержка, вероятно, будет хорошей, секьюрити-апдейты будут приходить долго (например, для htc desire hd цианоген обновлялся до самого конца — декабря 2016 года), но вот версия андроида, скорее всего, застрянет. Обычно дорого. Можно искать по списку официально поддерживаемых линейкой устройств.
  • OneplusOne / Wileyfox Swift 1. Поставлялись с CyanogenOS, имеют хорошее коммьюнити разработчиков, будут долго обновляться в софтовой части. В железной — все плохо. 1+1 уже довольно старый и хорошие запчасти купить сложно. Wileyfox изначально имел несколько проблем, в т.ч. слабенькую батарейку. Компенсируется ценой, местами можно найти новое в продаже. Довольно бюджетно.
  • Fairphone 2. Очень дорого, очень хорошо. Но это в теории, как там на практике — хз, не пользовался, отпишитесь.
  • Рандомный телефон с официальным портом los. Сойдет, главное, чтобы фатальных багов в порте не было. Долгой жизни порта не ждите.
  • Рандомный телефон с васянским los. Совсем плохо, но если телефон уже куплен, ничего не поделать.
  • Рандомный телефон с васянским ведроидом, основанным на стоковой прошивке / без исходников / проч. Лучше такое не ставить, а подготовить прошивку самостоятельно, смотрите выше и ниже.

Следует также заметить, что:

  • Существует несколько устройств с CyanogenOS, без доступной Cyanogenmod. В комплекте идут сервисы microsoft, gapps и много разной другой блотвари. Исходники обычно зажабены. Пример устройств: Wileyfox Spark, Wileyfox Swift 2(|+|x).
  • Выбирая устройство, так же загляните на его страничку на 4pda. Ресурс хоть и васянский, но очень полезный: можно увидеть список доступных прошивок, FAQ по типичным проблемом, список самых вероятных заводских проблем (которые можно проверить еще перед покупкой).

Уровень физической безопасности

Для чего нужна физическая безопасность:

Допустим, ваш девайс попал в руки злоумышленнику.

  • Во-первых, вы хотите, чтобы он не имел никакой возможности прочитать важные файлы с вашего телефона (кейз ФБ-1).
  • Во-вторых, вы хотите узнать, не добавил ли он кейлоггеров в ваш загрузчик (кейз ФБ-2).

Сразу скажу: всё плохо. Вам может показаться, что заботливые производители позаботились о вас, залочив загрузчик вашего телефона и не позволяя его разблокировать, не удалив все данные с телефона.

Я бы на вашем месте на это не рассчитывал.

  • Аппаратные защиты часто не надежны и опираются на принципах безопасности через неясность, в них переодически находят уязвимости
  • На прекрасных, казалось бы, телефонах Xiaomi вы не сможете разблокировать загрузчик, если с Xiaomi что-либо случится: разблокировка производится с участием интернета при помощи (работающей только под Windows) программы, требующей их аккаунта и доступа к интернету. У HTC похожая ситуация, но в несколько более мягких условиях.
    • Скорее всего, это доставит неудобств именно вам, а не злоумышленнику
  • Всякие проприетарные системы полнодискового шифрования тоже не выдерживают проверок специалистами.

Выводы:

  • Для хранения ваших секретных файлов в безопасности от ФБ-1 используйте, к примеру, Secrecy.
  • «Таблеток» от ФБ-2 на сегодняшний день нет. Промбируйте телефон при помощи скотча и волос и не расставайтесь с ним.
  • Лучше все-таки не хранить никакие важные данные на телефоне.

Модули сотовой связи

В каждом мобильном телефоне, почти каждом планшете есть GSM-модуль мобильной связи. Это —

  • Фактически отдельное устройство, обычно имеющее максимальный доступ к процессору, памяти и переферии. Зачем это делают — черт знает. Возможны исключения, нужно уточнять в каждом отдельном случае.
  • Идентифиционный модуль, который постоянно разговаривает с воздухом.
  • Куча проприетарного кода, который никто не анализировал. В тех немногих случаях, когда анализировали — находили кучу всего интересного.
  • Работает это все на протоколах, местами разработанные в 80-х годах.

Так что тут все настолько плохо, что я даже предложить ничего не могу. Страдайте.

Вроде, все, что хотел сказать. Выдыхаю

 , , , ,

derlafff ()

Посоветуйте интересных игр не требующих интернета в дорогу

Форум — Mobile

Под Android.

 ,

deterok ()

Воскресные вкусняшки media-video/mpv-0.21.0, android-tools/android-tools-7.0.0_p14, gnome-3.22

Форум — Development

Доброго времени суток!

Мой пытливый читатель, безусловно, знает что недавно вышел очередной media-video/mpv-0.21.0 и надо сказать что он хорош!

Так-же на днях состоялся минорный релиз x11-wm/enlightenment-0.21.3 Ну состоялся и состоялся тут и писать то особо не о чем.

Встречайте =android-tools/android-tools-7.0.0_p14 А теперь с кашей из С/С++ кода спасибо тебе google за... вот то что ты там вот это вот.

И внимание вопрос как это вообще теперь по нормальному собирать то? 0_. Ага я именно о том, что-бы отдельно от всего остального счастья, статически и нашими православными автотулзами/configure make make install ами ага.

Ну и вовсе не новость что на днях 21 сентября состоялся релиз gnome-3.22 ну а генте и без него норм ей бы взять да замаскать чего из лишнего. В оверлее тоже как-то... мхом поросло да и в целом не очень. Так вот а тем временем в bentoo уже завезли gnome-3.22 и хотя с ним ещё предстоит много работы, при желании, пользоваться им, в целом, уже можно и нужно. И да если что:

 ➜ EIX_LIMIT=0 eix -I --in-overlay bentoo-gnome --format '<installedversions:NAMEVERSION>' --pure-packages
app-accessibility/at-spi2-atk-2.20.1
app-accessibility/at-spi2-core-2.20.2
app-admin/gnome-system-log-20160922
app-arch/file-roller-3.22.1
app-editors/gedit-3.22.0
app-editors/gedit-plugins-3.22.0
app-misc/bijiben-3.21.2
app-misc/tracker-1.10.1
app-text/evince-3.22.1
dev-cpp/gtkmm-3.20.1
dev-libs/atk-2.22.0
dev-libs/gjs-1.45.4
dev-libs/gobject-introspection-1.50.0
dev-libs/gobject-introspection-common-1.50.0
dev-libs/libpcre2-10.22
dev-libs/libpeas-1.18.0
dev-libs/gnome-autoar-0.1.1
dev-python/pygobject-2.28.6-r55
dev-python/pygobject-3.22.0
dev-util/gtk-update-icon-cache-3.20.9
gnome-base/dconf-editor-3.22.1
gnome-base/gdm-3.20.1
gnome-base/gnome-control-center-3.22.1
gnome-base/gnome-desktop-3.22.1
gnome-base/gnome-menus-3.13.3-r1
gnome-base/gnome-session-3.22.1
gnome-base/gnome-settings-daemon-3.22.1
gnome-base/gnome-shell-3.22.1
gnome-base/gsettings-desktop-schemas-3.22.0
gnome-base/gvfs-1.30.1.1
gnome-base/nautilus-3.22.1
gnome-extra/evolution-data-server-3.20.5
gnome-extra/gnome-calculator-3.22.1
gnome-extra/gnome-calendar-3.22.1
gnome-extra/gnome-characters-3.22.0
gnome-extra/gnome-clocks-3.22.1
gnome-extra/gnome-color-manager-3.20.0
gnome-extra/gnome-contacts-3.22.1
gnome-extra/gnome-documents-3.22.0
gnome-extra/gnome-getting-started-docs-3.22.0
gnome-extra/gnome-power-manager-3.22.1
gnome-extra/gnome-shell-extensions-3.22.1
gnome-extra/gnome-system-monitor-3.22.0
gnome-extra/gnome-tweak-tool-3.22.0
gnome-extra/gnome-user-docs-3.22.0
gnome-extra/sushi-3.21.91
gnome-extra/yelp-3.22.0
gnome-extra/zenity-3.20.0
gnome-extra/gnome-todo-3.20.2
media-gfx/gnome-font-viewer-3.22.0
media-gfx/gnome-photos-3.22.1
media-gfx/gnome-screenshot-3.22.0
media-libs/clutter-gtk-1.8.2
media-sound/gnome-music-3.22.1
media-sound/gnome-sound-recorder-3.21.92
media-sound/sound-juicer-3.22.1
media-video/cheese-3.22.1
media-video/totem-3.22.0
net-libs/glib-networking-2.48.2
net-libs/gnome-online-accounts-3.22.1
net-libs/libsoup-2.54.1-r1
net-misc/gnome-online-miners-3.20.1
net-misc/vinagre-3.22.0
net-misc/vino-3.22.0
sci-geosciences/gnome-maps-3.22.1
sys-apps/baobab-3.22.0
sys-apps/gnome-disk-utility-3.22.0
sys-devel/gettext-0.19.8.1
x11-libs/gtk+-2.24.31
x11-libs/gtk+-3.22.2
x11-libs/gtksourceview-3.22.0
x11-libs/vte-0.46.0
x11-terms/gnome-terminal-3.22.0
x11-themes/adwaita-icon-theme-3.22.0
x11-themes/gnome-backgrounds-3.22.1
x11-themes/gnome-themes-standard-3.22.2-r1
x11-wm/mutter-3.22.1

И вот тут внимание второй вопрос кто победил gnome с wayland в gentoo? Стоит оно вообще того чтоб его сейчас побеждать? А то выглядит всё, на первый взгляд, просто замечательно а вон на том-же ЛОРе народ из fedora уже жаловался на тормоза.

А зачем это всё это ненужно в субботу конкретно вам и что теперь с этим всем делать решать тебе мой красноглазый читатель.

 , , , ,

init_6 ()

Воскресные вкусняшки =app-emulation/wine-1.9.18, =sys-apps/pcp-3.11.5 и =sys-apps/cockpit-0.80

Форум — Development

Доброго времени суток!

За прошедшее время в bentoo вот что произошло:

- Обновился срез всех плагинов firefox

- Добавился =app-emulation/wine-1.9.18 - Free implementation of Windows(tm) on Unix собственно ничего интересного просто поправлена зависимость и написан метапакет =bentoo/bentoo-wine-2016.01 с обоями иконкаме и пьяными стюардессами.

- Появился =sys-apps/pcp-3.11.5 - Performance Co-Pilot is a system performance and analysis framework

➜ pcp --help
Usage: pcp [options] [[...] command [...]]

Summary Options:
  -a FILE, --archive=FILE
                        metrics source is a PCP log archive
  -h HOST, --host=HOST  metrics source is PMCD on host
  -O TIME, --origin=TIME
                        initial sample time within the time window
  -P, --pmie            display pmie evaluation statistics
  -?, --help            show this usage message and exit

Command Options:
  -A TIME, --align=TIME align sample times on natural boundaries
  -a FILE, --archive=FILE
                        metrics source is a PCP log archive
  -g, --guimode         start in GUI mode with new time control
  -h HOST, --host=HOST  metrics source is PMCD on host
  -n FILE, --namespace=FILE
                        use an alternative PMNS
  -O TIME, --origin=TIME
                        initial sample time within the time window
  -p N, --guiport=N     port for connection to existing time control
  -S TIME, --start=TIME start of the time window
  -s N, --samples=N     terminate after this many samples
  -T TIME, --finish=TIME
                        end of the time window
  -t DELTA, --interval=DELTA
                        sampling interval
  -Z TZ, --timezone=TZ  set reporting timezone
  -z, --hostzone        set reporting timezone to local time of metrics source
  -V, --version         display version number and exit

Available Commands:     atop atopsar collectl dmcache free
           iostat ipcs lvmcache mpstat numastat pidstat python shping
           summary uptime verify vmstat

  ➜ pcp
Performance Co-Pilot configuration on nemesis:

 platform: Linux nemesis 4.7.5-bentoo #1 SMP Sat Oct 1 12:49:51 YEKT 2016 x86_64
 hardware: 2 cpus, 2 disks, 1 node, 2994MB RAM
 timezone: YEKT-5
 services: pmcd
     pmcd: Version 3.11.5-1, 7 agents
     pmda: root pmcd proc xfs linux mmv jbd2

Поэтому показать всё да ещё и в рамках одного топика, мой случайный читатель, накладно.

- Появился =sys-apps/cockpit-0.80 - Cockpit makes it easy to administer your GNU/Linux servers via a web browser См. тыц

- Очередной раз до актуальных версий обновлён sys-kernel/bentoo-sources, наследник и идейный последователь sys-kernel/geek-sources в котором переработана исходная идея и все патчи заплатки пользователя теперь устанавливаются при помощи заплаток пользователя.

- Ну а этот Ваш swift любых видов (ни из сырцов ни -bin из 14/15й ubuntu) как показали натурные испытания неработоспособен на linux. Печально но факт.

А зачем это всё это ненужно в субботу конкретно вам и что теперь с этим всем делать решать тебе мой красноглазый читатель.

 , , , ,

init_6 ()

Всякое разное...

Форум — Talks

Одном постом сразу обо всём и исключительно для аналитиков с ЛОРа.

sys-kernel/geek-sources, в том виде в каком они существовали, больше не будет. Мне оно больше не интересно а вам, как выяснилось, и не особо то нужно.

Поэтому теперь вместо них будут несколько утилиток по принципу K.I.S.S для решения конкретных задач а не всё в одном как это было в geek-sources.

Всю грязную работу с патчами теперь осуществляет ipatch. Собственно во первых ipatch работает с mime type файлов а не с их расширениями. Во вторых ipatch умеет тестировать/накладывать/откатывать заплатки из: diff,patch,gz,bz,bz2,lrz,xz,zip,Z причем это может быть какой-то конкретный файл, директория с файлами (да! рекурсия детка) или вообще файл с перечнем заплаток и командами для каждой из них а кроме того ipatch достаточно умён и защищает от множества необдуманных глупостей. А в man-ах подробнее.

Применять свои любимые сторонние заплатки к любым ebuild-ам можно посредством множества велосипедов. В частности, для тех кто в танке, это ВНЕЗАПНО даже штатная фича самих portage. Я для этой задачи навелосипедил ibashrc. И да он немного лучше потому что использует ipatch а не epatch.

Это немного из того что уже есть в bentoo. Чего ждать помимо этого?

Ещё будут пара утилиток которые сейчас проходят стадию тестирования и отладки. В частности самая забавная из них это утилитка для того чтобы искать, находить, скачивать, распаковывать и отсеивать заплатки из любого места(потенциально из любого src.rpm) где бы оно не находилось.

Такие дела.

Haters gonna hate.

Дискасс!

 , , , ,

init_6 ()

=games-engines/openmw-0.38.0, only OpenSceneGraph and Qt5

Форум — Games

Аппстрим gentoo тормозит на несколько версий и упарывается с USE флагами поэтому для всех в том заинтересованных я просто оставлю это здесь.

Пара замечаний. Для текущих версий перешедших на OpenSceneGraph >=dev-games/ogre-1.9.0 вообще не нужен и соответственно >=dev-games/mygui-3.2.1[ogre] тоже ну вы поняли... И да с Qt5 оно собирается.

diff -Naur a/games-engines/openmw/Manifest b/games-engines/openmw/Manifest
--- a/games-engines/openmw/Manifest	2015-10-05 06:36:02.000000000 +0500
+++ b/games-engines/openmw/Manifest	2016-01-26 12:20:06.000000000 +0500
@@ -1 +1 @@
-DIST openmw-0.36.1.tar.gz 4186134 SHA256 c83fddf3302dd8040330e2d41a9656bb66b1fc8224b24d685d8792b15f74af22 SHA512 9cbd9db876bacc736ab071a6074d92c44b1497780a2a6f4dbff5f109107173baae5490af92c1092985863897d63e063336fe1a8093269fd7b3ce48dee550425d WHIRLPOOL 305a87faea65413629b0e639280dba1462ade723b130e82bab823d86658066656fe250e81a26e1415b81ebed39a790e278f443fa2c92657422eb9ac9ba681faf
+DIST openmw-0.38.0.tar.gz 4137263 SHA256 c16a44ee9a787dcae61a373625d39733868d213fd6e8ccd86ab9e7ac00ecb85a SHA512 2649704f490a7c3d7f88e5d3e57769e22a8f688eedee5b5d0f300ce29f68f8e84c7cc13f9bf84ca1da6a38d19ed0a7680b902e2d3910459fe541b60e47e73471 WHIRLPOOL a7a45343453e8661c9900c4b49ea453b4a3883d8c686934f262f6962ed9d7afa42f29e55e6422f666ff50f620fd33ca16d35ef58138231138b00706f4a638844
diff -Naur a/games-engines/openmw/openmw-0.36.1.ebuild b/games-engines/openmw/openmw-0.36.1.ebuild
--- a/games-engines/openmw/openmw-0.36.1.ebuild	2015-10-05 06:36:02.000000000 +0500
+++ b/games-engines/openmw/openmw-0.36.1.ebuild	1970-01-01 05:00:00.000000000 +0500
@@ -1,101 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit eutils gnome2-utils cmake-utils games
-
-DESCRIPTION="An open source reimplementation of TES III: Morrowind"
-HOMEPAGE="http://openmw.org/"
-SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz"
-
-LICENSE="GPL-3 MIT BitstreamVera OFL-1.1"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc devtools"
-
-# XXX static build
-RDEPEND="
-	app-arch/unshield
-	>=dev-games/mygui-3.2.1[ogre]
-	>=dev-games/ogre-1.9.0[-double-precision,freeimage,ois,opengl,zip]
-	media-libs/freeimage[jpeg,png]
-	>=dev-libs/boost-1.46.0
-	dev-libs/tinyxml
-	>=dev-qt/qtcore-4.7.0:4
-	>=dev-qt/qtgui-4.7.0:4
-	media-libs/freetype:2
-	media-libs/libsdl2[X,video]
-	media-libs/openal
-	>=sci-physics/bullet-2.80
-	virtual/ffmpeg
-	devtools? ( dev-qt/qtxmlpatterns:4 )"
-DEPEND="${RDEPEND}
-	virtual/pkgconfig
-	doc? ( app-doc/doxygen media-gfx/graphviz )"
-
-S=${WORKDIR}/${PN}-${P}
-
-src_configure() {
-	local mycmakeargs=(
-		-DBINDIR="${GAMES_BINDIR}"
-		$(cmake-utils_use_build devtools BSATOOL)
-		$(cmake-utils_use_build devtools ESMTOOL)
-		$(cmake-utils_use_build devtools OPENCS)
-		-DBUILD_UNITTESTS=OFF
-		-DDATADIR="${GAMES_DATADIR}"/${PN}
-		-DICONDIR="/usr/share/icons/hicolor/256x256/apps"
-		-DLIBDIR="$(games_get_libdir)"
-		-DMORROWIND_DATA_FILES="${GAMES_DATADIR}"/morrowind-data
-		-DOPENMW_RESOURCE_FILES="${GAMES_DATADIR}"/${PN}/resources
-		-DGLOBAL_CONFIG_PATH="${GAMES_SYSCONFDIR}"
-		-DUSE_SYSTEM_TINYXML=ON
-	)
-
-	cmake-utils_src_configure
-}
-
-src_compile() {
-	cmake-utils_src_compile
-
-	if use doc ; then
-		emake -C "${CMAKE_BUILD_DIR}" doc
-	fi
-}
-
-src_install() {
-	cmake-utils_src_install
-	dodoc README.md
-
-	# about 46835 files, dodoc seems to have trouble
-	if use doc ; then
-		dodir "/usr/share/doc/${PF}"
-		find "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
-			-name '*.md5' -type f -delete
-		mv "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
-			"${D}/usr/share/doc/${PF}/" || die
-	fi
-
-	prepgamesdirs
-}
-
-pkg_preinst() {
-	games_pkg_preinst
-	gnome2_icon_savelist
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-	gnome2_icon_cache_update
-
-	elog "You need the original Morrowind Data files. If you haven't"
-	elog "installed them yet, you can install them straight via the"
-	elog "installation wizard which is the officially"
-	elog "supported method (either by using the launcher or by calling"
-	elog "'openmw-wizard' directly)."
-}
-
-pkg_postrm() {
-	gnome2_icon_cache_update
-}
diff -Naur a/games-engines/openmw/openmw-0.38.0.ebuild b/games-engines/openmw/openmw-0.38.0.ebuild
--- a/games-engines/openmw/openmw-0.38.0.ebuild	1970-01-01 05:00:00.000000000 +0500
+++ b/games-engines/openmw/openmw-0.38.0.ebuild	2016-01-26 16:32:41.944471780 +0500
@@ -0,0 +1,98 @@
+# Copyright 1999-2016 The Bentoo Authors. All rights reserved.
+# Distributed under the terms of the GNU General Public License v3 or later
+# $Header: $
+
+EAPI=5
+
+inherit eutils gnome2-utils multilib cmake-utils
+
+DESCRIPTION="An open source reimplementation of TES III: Morrowind"
+HOMEPAGE="http://openmw.org/"
+SRC_URI="https://github.com/OpenMW/openmw/archive/${P}.tar.gz"
+
+LICENSE="GPL-3 MIT BitstreamVera OFL-1.1"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc devtools"
+
+# XXX static build
+RDEPEND="
+	app-arch/unshield
+	>=dev-games/mygui-3.2.1[-opengl,-ogre]
+	dev-games/openscenegraph[jpeg,png,qt5]
+	>=dev-libs/boost-1.46.0
+	dev-libs/tinyxml
+	>=dev-qt/qtcore-5.5.0:5
+	>=dev-qt/qtgui-5.5.0:5
+	media-libs/libsdl2[X,video]
+	media-libs/openal
+	>=sci-physics/bullet-2.80
+	virtual/ffmpeg
+	devtools? ( dev-qt/qtxmlpatterns:5 )
+	media-libs/libtxc_dxtn
+	"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen media-gfx/graphviz )"
+
+S=${WORKDIR}/${PN}-${P}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_OPENMW=ON
+		$(cmake-utils_use_build devtools BSATOOL)
+		$(cmake-utils_use_build devtools ESMTOOL)
+		$(cmake-utils_use_build devtools OPENCS)
+		-DBUILD_UNITTESTS=OFF
+		-DDATADIR="/usr/share/${PN}"
+		-DICONDIR="/usr/share/icons/hicolor/256x256/apps"
+		-DMORROWIND_DATA_FILES="/usr/share/${PN}/data"
+		-DOPENMW_RESOURCE_FILES="/usr/share/${PN}/resources"
+		-DGLOBAL_CONFIG_PATH="/etc"
+		-DUSE_SYSTEM_TINYXML=TRUE
+		-DDESIRED_QT_VERSION=5
+		-DCMAKE_BUILD_TYPE=Release
+	)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+
+	if use doc ; then
+		emake -C "${CMAKE_BUILD_DIR}" doc
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+	dodoc README.md
+
+	# about 46835 files, dodoc seems to have trouble
+	if use doc ; then
+		dodir "/usr/share/doc/${PF}"
+		find "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+			-name '*.md5' -type f -delete
+		mv "${CMAKE_BUILD_DIR}"/docs/Doxygen/html \
+			"${D}/usr/share/doc/${PF}/" || die
+	fi
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+
+	elog "You need the original Morrowind Data files. If you haven't"
+	elog "installed them yet, you can install them straight via the"
+	elog "installation wizard which is the officially"
+	elog "supported method (either by using the launcher or by calling"
+	elog "'openmw-wizard' directly)."
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}

Всем привет в этом чатике!

Перемещено leave из talks

 , , , ,

init_6 ()

Про geek-sources

Форум — Talks

На все подобные вопросы проще ответить один раз и для всех сразу… И, опять же, отдельно для тех кто возможно был не в курсе.

Моё участие в разработке geek-sources прекращено на неопределенное время.

Причин тому достаточно.

Во первых железо отслужило свой срок т.е. отремонтировать или заменить уже нет смысла а купить новое у меня попросту нет денег.

Во вторых на том что осталось нет никакого смысла в gentoo. Сейчас вместо неё водружен sabayon-14.06. А ныне уже почившая в ином мире gentoo была полностью в LUKS и просто по классике полетел хард. Т.е. накрылось всё и сразу. Продолжать разработку geek-sources следовательно для начала клонировать по новой все svn/git репы… От этого и так упоротому харду лучше не станет а у меня сейчас задача чтобы железо продержалось как можно дольше.

Ну и вообще, для понимания всей ситуации, от меня до Донецка, Славянска полтора часа на машине… а до Луганска и того меньше - минут сорок. У нас на улицах пока что не стреляют и в черте города по сути, кроме цен, ничего не изменилось но по вечерам стотысячный город вымирает. С работой все туго. По телевидению говорят о том, что граница с Ростовской областью уже перекрыта а в сторону Крыма нужно всю Донецкую область проехать так что свалить тоже идея не намного умнее чем остаться. В общем весело и с каждым днем всё веселее и веселее…

А с geek-sources… Да я там даже пару багов нашел и затеял очередное изменение… И всё это когда-то попадет на github. Но вот когда именно это очень хороший вопрос.

Так что если хотите обновлений форкайте оверлей, сами бампайте и будет вам счастье. Если ещё кто-то желает иметь непосредственный доступ к самому оверлею пишите либо прям тут либо в теме пущу всех желающих до тех пор пока github будет разрешать… только указывайте свой ник с github-а.

 , , , ,

init_6 ()

не новость, geek-sources-3.8.1, rtai

Форум — Talks

Вышло rtai под Linux 3.x и его поддержка добавлена в sys-kernel/geek-sources-3.5.7

Ну и да sys-kernel/geek-sources-3.8.1

Haters gonna hate

Дискасс!

 , , , ,

init_6 ()

sys-kernel/geek-sources

Новости — Ядро Linux
Группа Ядро Linux

На днях увидел свет новый ebuild на базе стабильной версии ядра linux sys-kernel/geek-sources-3.3.6 и содержащий актуальные и, пока что, неотключаемые патчи из: Fedora, Mandriva/Mageia, Ubuntu, OpenSuSe и Pardus.

А также управляемый посредством USE-флагов комплект из: BFQ, BFS, BLD, fbsplash, GrSecurity, IMQ, TuxOnIce и UKSM

Кроме этого, в нём есть портированный консольный шрифт одной яблочной компании CONFIG_FONT_ISO_LATIN_1_8x16 и симпатичный логотип CONFIG_LOGO_LARRY_CLUT224.

Без лишней скромности можно смело сказать, что один sys-kernel/geek-sources фактически способен заменить собой все остальные ядра из sys-kernel, даже вместе взятые.

>>> Немного устаревшие подробности

 , ,

init_6 ()

geek-sources-2.6.*

Форум — Talks

Со времени прошлой неновости добавлены USE флаги: exfat(из zen), rifs, rsbac и ubuntu. И в sys-kernel/geek-sources ВНЕЗАПНО добавлена возвращена поддержка ядер ветки 2.6.*.

Stay Tuned!

Haters gonna hate.

Дискасс!

PS: Писать полноценную новость мне лень.

PSS: В 3.11.4 все еще так и нет grsec грусть, печаль и вообще тоска!

 , , , ,

init_6 ()

geek-sources-3.9.6

Новости — Gentoo Linux
Группа Gentoo Linux

16 мая 2013 состоялся релиз geek-sources-3.9.2 и «большого обновления», основные моменты которого заключаются в следующем:

  • Удалены USE флаги:
    • debian (множество багов и дублирование уже существующих патчей, медленно обновляется)
    • imq (не обновляется)
    • pardus (множество багов и дублирование уже существующих патчей, медленно обновляется)
    • phc (не обновляется), pld (множество багов и дублирование уже существующих патчей, медленно обновляется)
    • rifs (не обновляется)
    • rtai (не обновляется)
    • scst (не обновляется)
    • vserver (не обновляется, проблемы с компиляцией)
    • xenomai (не обновляется)
    • zen (множество багов и дублирование уже существующих патчей, медленно обновляется, тяжело и неудобно вытаскивать патчи при текущей модели)

Если вам все еще нужны удаленные патчи то используйте патчи пользователя (/etc/portage/patches/sys-kernel/geek-sources) и поддерживайте их самостоятельно.

  • Переименованы: genpatches --> gentoo, grsecurity --> grsec.
  • Теперь USE патчи: aufs, bfq, fedora, gentoo, grsec, ice, mageia, suse работают аналогично 9999 ebuild-ам т.е. контент генерируется у пользователя прямо из его локальных зеркал официальных {http/ftp/svn/git} репозитариев актуальность которых поддерживается самим ebuild-ом.
  • Были удалены все ebuild-ы с версиями ниже 3.9

С релизом geek-sources-3.9.4 были так же выпущены и longterm kernel geek-sources-{3.2.45,3.4.47}

С релизом geek-sources-3.9.5 была добавлена переменная crap_patch, которую все так же при желании можно задать через /etc/portage/kernel.conf, влияющая на общую степень параноидальности отношения к патчам. По умолчанию (crap_patch=ignore) отношение дефолтно-наплевательское и логика обработки патчей все та же:

patch -p1 -g1 --no-backup-if-mismatch --dry-run patch_name && patch -p1 -g1 --no-backup-if-mismatch patch_name

А кроме этого для Ъ есть режим максимальной безопасности (crap_patch=will_not_pass):

patch -p1 -g1 --dry-run patch_name && patch -p1 -g1 patch_name

И если после этого находим *.orig или *.rej то реверсим патч patch -p1 -g1 -R patch_name и удаляем *.orig или *.rej.

Поэтому если у вас стоит crap_patch=will_not_pass не спрашивайте куда делись нужные вам патчи :) скорее всего такова их судьба…

Haters gonna hate.

>>> Подробности

 , ,

init_6 ()

geek-sources-3.10.1

Новости — Gentoo Linux
Группа Gentoo Linux

Собственно для тех кто ждет sys-kernel/geek-sources-3.10.1

В этом релизе представлены:

Патчи будут обновляться по мере их выхода. Stay Tuned!

Wiki все еще на своем месте. И для всех тех, кто уже потеряется в патчах добавлена наглядная иллюстрация-шпаргалка (на ней красные взаимосвязи требуют чистого ядра без обновлений. синие обычные зависимости - «ребенок» для своей установки требует «родителя». а зеленые заимствования) И да как сделать шрифты более читаемыми я пока не знаю… но если кто знает то вот исходник

Идет работа над закрытием geek-sources-3.8.13 restoration request нерешенной осталась задача автоматического подбора версий патчей в случае если она не задана явно. И последняя забавная проблема требует своего внимания - но это уже больше все же к красоте…

Haters gonna hate.

Дискасс!

>>> Подробности

 , ,

init_6 ()

не новость, geek-sources-3.8.10

Форум — Talks

Собственно для тех кто ждет sys-kernel/geek-sources-3.8.10

Отдельные компоненты обновлены до:

Все остальные: aufs, debian, fedora, genpatches, grsecurity, ice, mageia, suse и zen обновлены до актуального состояния.

Основная новинка - в zfs теперь два варианта патча один для vanilla второй для grsecurity.

Да и wiki все еще на своем месте.

Haters gonna hate.

Дискасс!

 , , , ,

init_6 ()

не новость, geek-sources-3.7.1 + reiser4 + zen + wiki

Форум — Talks

Появился reiser4 под текущее стабильное 3.7.1

А тем временем в sys-kernel/geek-sources-3.7.1 добавлена поддержка патчей из zen-kernel и проект обзавелся wiki

Haters gonna hate

Дискасс!

 , , , ,

init_6 ()

не новость, geek-sources-3.8.5, lqx, pax, pf

Форум — Talks

В eclass/geek-sources.eclass добавлена поддержка новых USE флагов: lqx, pax, pf, phc, scst

И как следствие ко всему тому что можно было использовать в sys-kernel/geek-sources-3.8.5 теперь добавилось еще и lqx, pax, pf.

Haters gonna hate.

Дискасс!

 , , , ,

init_6 ()

Вышел патчсет geek-sources-3.5.0 для Linux v3.5

Форум — Talks

На днях увидела свет новая версия sys-kernel/geek-sources-3.5.0.

На данный момент sys-kernel/geek-sources поддерживает:

( поддерживает: )

Из sys-kernel/geek-sources были удалены:

( были удалены: )

 , , , ,

init_6 ()